//-----------------------------------------------------------------------------
// w3dMenu.js - Seitenmenue fuer w3d.htm                           2016-01-28

var bMenuVisible = false;
var menuBar, menuTrig;
var menuButton1, menuButton2, menuButton3, menuButton4, menuButton5, menuButton6;

function createMenuBar() {

    menuTrig = document.createElement('div');
    menuTrig.id = 'menuTrig';
    menuTrig.style.position = 'absolute';
    menuTrig.style.left = (wWidth-80) + 'px';
    menuTrig.style.top = '0px';
    menuTrig.style.width = '80px';
    menuTrig.style.height = '50px';
    menuTrig.style.color = '#ff3';
    menuTrig.style.backgroundColor = '#025';
    menuTrig.style.opacity = '0.5';
    menuTrig.style.cursor = 'pointer';
    menuTrig.type = 'text';
    menuTrig.innerHTML = "<br />-- MENU --";
    document.body.appendChild(menuTrig);


    menuBar = document.createElement('div');
    menuBar.id = 'menuBar';
    menuBar.style.position = 'absolute';
    menuBar.style.left = (wWidth-rightMargin) + 'px';
    menuBar.style.top = '0px';
    menuBar.style.width = rightMargin + 'px';
    menuBar.style.height = wHeight + 'px';
    menuBar.style.color = '#ff3';
    menuBar.style.backgroundColor = '#025';
    menuBar.style.opacity = '0.7';
    menuBar.style.cursor = 'pointer';
    menuBar.type = 'text';
    menuBar.innerHTML = "<br />-------------- HIDE --<br /><br /><br />";
//    document.body.appendChild(menuBar);

    menuButton6 = document.createElement('input');
    menuButton6.setAttribute("type", "button");
    menuButton6.setAttribute("value", bChatMode ? "ChatMode OFF" : "ChatMode ON");
    menuButton6.style.width = '138px';
    menuButton6.style.height = '36px';
    menuButton6.setAttribute("id", "BoundButton");
    menuButton6.setAttribute("onClick", "onButton6Clicked()");
    menuBar.appendChild(menuButton6);

    menuButton1 = document.createElement('input');
    menuButton1.setAttribute("type", "button");
    menuButton1.setAttribute("value", bShowBoundingBoxes ? "BoundBoxes OFF" : "BoundBoxes ON");
    menuButton1.style.width = '138px';
    menuButton1.style.height = '36px';
    menuButton1.setAttribute("id", "BoundButton");
    menuButton1.setAttribute("onClick", "onButton1Clicked()");
    menuBar.appendChild(menuButton1);

    menuButton2 = document.createElement('input');
    menuButton2.setAttribute("type", "button");
    menuButton2.setAttribute("value", bCollision ? "Collision OFF" : "Collision ON");
    menuButton2.style.width = '138px';
    menuButton2.style.height = '36px';
    menuButton2.setAttribute("id", "BoundButton");
    menuButton2.setAttribute("onClick", "onButton2Clicked()");
    menuBar.appendChild(menuButton2);

    menuButton3 = document.createElement('input');
    menuButton3.setAttribute("type", "button");
    menuButton3.setAttribute("value", bGroundTest ? "GroundTest OFF" : "GroundTest ON");
    menuButton3.style.width = '138px';
    menuButton3.style.height = '36px';
    menuButton3.setAttribute("id", "BoundButton");
    menuButton3.setAttribute("onClick", "onButton3Clicked()");
    menuBar.appendChild(menuButton3);

    menuButton4 = document.createElement('input');
    menuButton4.setAttribute("type", "button");
    menuButton4.setAttribute("value", "Stereo-Mode");
    menuButton4.style.width = '138px';
    menuButton4.style.height = '36px';
    menuButton4.setAttribute("id", "BoundButton");
    menuButton4.setAttribute("onClick", "onButton4Clicked()");
    menuBar.appendChild(menuButton4);

    menuButton5 = document.createElement('input');
    menuButton5.setAttribute("type", "button");
    menuButton5.setAttribute("value", "ViewMode");
    menuButton5.style.width = '138px';
    menuButton5.style.height = '36px';
    menuButton5.setAttribute("id", "BoundButton");
    menuButton5.setAttribute("onClick", "onButton5Clicked()");
    menuBar.appendChild(menuButton5);


    // Menue zu Beginn verborgen
    bMenuVisible = false;
}

function toggleMenuBar() {
    if (bMenuVisible) {
        bMenuVisible = false;
        document.body.removeChild(menuBar);
        document.body.appendChild(menuTrig);
    } else {
        bMenuVisible = true;
        document.body.removeChild(menuTrig);
        document.body.appendChild(menuBar);
    }
}

function setMenuBarPos() {
    if (menuTrig !== undefined) {
        menuTrig.style.left = (wWidth-80) + 'px';
        menuBar.style.left = (wWidth-rightMargin) + 'px';
    }
}

function onButton6Clicked() {
    if (bChatMode) {
        menuButton6.setAttribute("value", "ChatMode ON");
        setChatMode(false);
    } else {
        menuButton6.setAttribute("value", "ChatMode OFF");
        setChatMode(true);
    }
}

function onButton1Clicked() {
    if (bShowBoundingBoxes) {
        menuButton1.setAttribute("value", "BoundBoxes ON");
        bShowBoundingBoxes = false;
    } else {
        menuButton1.setAttribute("value", "BoundBoxes OFF");
        bShowBoundingBoxes = true;
    }
    showBoundingBoxes(bShowBoundingBoxes);
}

function onButton2Clicked() {
    if (bCollision) {
        menuButton2.setAttribute("value", "Collision ON");
        bCollision = false;
    } else {
        menuButton2.setAttribute("value", "Collision OFF");
        bCollision = true;
    }
}

function onButton3Clicked() {
    if (bGroundTest) {
        menuButton3.setAttribute("value", "GroundTest ON");
        bGroundTest = false;
        yBoden = 0;
    } else {
        menuButton3.setAttribute("value", "GroundTest OFF");
        bGroundTest = true;
    }
}

function onButton4Clicked() {
    stereoMode++;
    if (stereoMode > 3)
        stereoMode = 0;
    onWindowResize();
}

function onButton5Clicked() {
    viewMode++;
    if (viewMode >= 4)
        viewMode = 0;
    setSkyBox();                // Skybox und Nebel
}

