<?php    // 2016-02-16

//-----------------------------------------------------------------------------
// Für eine bestimmte Kachel und der acht umgebenden Nachbarn den JS-Code
// als Objekte verpackt übergeben. Ist der Parameter 'vsclist' angegeben,
// so wird die Liste der zugehoerigen VSC-Filenamen uebermittelt.

if (!isset($_GET['quad']))
    exit('*** quad param missing');
$quad = $_GET['quad'];

$wrlDir = '../world/';
$wrlName = $wrlDir.'world.txt';
if (!file_exists($wrlName))
    exit('*** File '.$wrlName.' nicht gefunden');

$fd = fopen($wrlName, "r");
$wrlText = fread($fd, filesize($wrlName));
fclose($fd);


if (isset($_GET['vsclist'])) {

    $resText = "";
    $zq = $quad % 100;
    $xq = ($quad - $zq) / 100;
    for ($x = $xq - 1; $x <= $xq + 1; $x++) {
        for ($z = $zq - 1; $z <= $zq + 1; $z++) {
            $qName = sprintf('w%02d%02d', $x, $z);
            $pos = strpos($wrlText, $qName.":");
            if ($pos == false)
                continue;
            $pos += 7;
            while ($pos) {
                $pos1 = strpos($wrlText, ",", $pos);
                $pos2 = strpos($wrlText, "\n", $pos);
                if (($pos1 > 0) && ($pos1 < $pos2)) {
                    $name = substr($wrlText, $pos, $pos1-$pos);
                    $pos = $pos1 + 1;
                } else {
                    $name = substr($wrlText, $pos, $pos2-$pos);
                    $pos = false;
                }
                $name = $wrlDir.trim($name);
                if (strpos($name, ".vsc"))
                    $resText = $resText.$qName.':'.$name.';';
            }
        }
    }
    echo 'vsclist|'.$resText;
    return;
}


//-----------------------------------------------------------------------------

$resText = "";
$zq = $quad % 100;
$xq = ($quad - $zq) / 100;
for ($x = $xq - 1; $x <= $xq + 1; $x++) {
    for ($z = $zq - 1; $z <= $zq + 1; $z++) {
        $qName = sprintf('w%02d%02d', $x, $z);

        $resText = $resText.
        "//==============================================================================\n".
        "//@@Tile ".$qName."\n";

        $resText = $resText.
        "var ".$qName." = function() {\n".
        "//==========\n";

        $pos = strpos($wrlText, $qName.":");
        if ($pos)
            $pos += 7;
        $bCont = true;
        while ($bCont) {
            $jsName = "w0.js";
            if ($pos) {
                $pos1 = strpos($wrlText, ",", $pos);
                $pos2 = strpos($wrlText, "\n", $pos);
                if (($pos1 > 0) && ($pos1 < $pos2)) {
                    $jsName = substr($wrlText, $pos, $pos1-$pos);
                    $pos = $pos1 + 1;
                } else {
                    $jsName = substr($wrlText, $pos, $pos2-$pos);
                    $bCont = false;
                }
            } else
                $bCont = false;

            $jsName = $wrlDir.trim($jsName);
            if (!strpos($jsName, ".js"))
                continue;
            if (!file_exists($jsName)) {
                $resText = $resText."// *** ".$jsName." Not found!\n";
                break;
            }
            $resText = $resText."// ".$jsName."\n";
            $fd = fopen($jsName, "r");
            $jsText = fread($fd, filesize($jsName));
            fclose($fd);
            $resText = $resText.$jsText."\n//==========\n";
        }


        $resText = $resText.'
  return {
    qGetSceneVersion: SceneVersion,
    qGetSceneName:    SceneName,
    qGetSceneObj:     SceneObj,

    qBuildScene: function(sid) {
      return buildScene(sid);
    },
    qRecvSceneData: function(rxText) {
      recvSceneData(rxText);
    },
    qCycleScene: function(msPerFrame) {
      cycleScene(msPerFrame);
    },
    qTerminateScene: function() {
      terminateScene();
    },
    qTestScenePosition: function(xp, yp, zp) {
      return testScenePosition(xp, yp, zp);
    },
    qGetSceneGroundLevel: function(xp, yp, zp) {
      return getSceneGroundLevel(xp, yp, zp);
    }
  };
};
//@@END@@

';

   }
}


$fd = fopen("../log/_tiles.js", "w");
fwrite($fd, $resText);
fclose($fd);

echo 'quad|'.$resText;
?>
