//-----------------------------------------------------------------------------
// w_kran1.js  Pressenhalle VW, Puebla, Mexiko                     2016-02-19

var SceneVersion = "w_kran1.js V16.02.19";
var SceneName = "Kran Puebla";

var SceneObj = undefined;           // Sammelobjekt fuer diese Teilszene
var SceneId;

var SchildObj;

function buildScene(sid) {

    SceneId = sid;
    SceneObj = new THREE.Mesh();    // sammelt alle statischen Elemente der Kachel
    SceneObj.add(buildGround('../tex/gnd/boden5.jpg'));

    SchildObj = new CanvasTextObject("Puebla", "Bold 68px Arial", "rgba(0,127,0,1.0)");
    SchildObj.scale.set(2.0, 2.0, 2.0);
    SchildObj.position.set(0, 5.6, 0);
    SceneObj.add(SchildObj);

    return SceneObj;
}

function recvSceneData(rxText) {
}

function cycleScene(msPerFrame) {
    SchildObj.rotation.y -= msPerFrame * 0.0003;
}

function terminateScene() {
    if (SceneObj !== undefined)
        delete SceneObj;
}

function testScenePosition(xp, yp, zp) {
    return true;
}

function getSceneGroundLevel(xp, yp, zp) {
    return 0;
}
