//-----------------------------------------------------------------------------
// w_test.js - Weitere Flaeche fuer Experimente

var SceneVersion = "w_test.js V16.02.18";
var SceneName = "Testgelaende";

var SceneObj;
var SceneId;

//-----------------------------------------------------------------------------

function buildScene(sid) {

    yAugen = 2.0;

    SceneId = sid;
    SceneObj = new THREE.Mesh();    // sammelt alle statischen Elemente der Kachel

    //------------------------------------------------------------------
    // OBJ/MTL-Loader; geht ab Three.js 7.4 etwas anders:

    var onProgress = function(xhr) { };
    var onError = function(xhr) { };

    THREE.Loader.Handlers.add(/\.dds$/i, new THREE.DDSLoader());
    var mtlLoader = new THREE.MTLLoader();
    mtlLoader.setBaseUrl('../models/City/');
    mtlLoader.setPath( '../models/City/' );
    mtlLoader.load('The_City.mtl', function(materials) {
        materials.preload();
        var objLoader = new THREE.OBJLoader();
        objLoader.setMaterials(materials);
        objLoader.setPath('../models/City/');
        objLoader.load('The_City.obj', function(object) {
            object.position.set(0, -5.6, 0);
            object.scale.set(0.15, 0.15, 0.15);
            SceneObj.add(object);
        }, onProgress, onError);
    });

    //------------------------------------------------------------------

    return SceneObj;
}

//-----------------------------------------------------------------------------

function recvSceneData(rxText) {
}

//-----------------------------------------------------------------------------

function terminateScene() {
    if (SceneObj !== undefined)
        delete SceneObj;
}

//-----------------------------------------------------------------------------

function cycleScene(msPerFrame) {
}

//-----------------------------------------------------------------------------

function testScenePosition(xp, yp, zp) {
    return true;
}

//-----------------------------------------------------------------------------

function getSceneGroundLevel(xp, yp, zp) {
    return 0;
}
