//-----------------------------------------------------------------------------

var SceneVersion = "w_kk.js V16.01.23";
var SceneName    = "Oiron Kommandokanzel";

var SceneObj;                       // Sammelobjekt fuer diese Teilszene
var SceneId;

var vscName = "w_kk.vsc";
var vscData = undefined;


function buildScene(sid) {
    SceneId = sid;
    SceneObj = new THREE.Mesh();    // sammelt alle statischen Elemente der Kachel
    SceneObj.add(buildGround('../tex/streckm1.jpg',8));

    OrionKK();
    
    vscRequest(vscName, sid);       // Szene aus Skript nachladen
    return SceneObj;
}

function recvSceneData(rxText) {
    if (vscData !== undefined)
       return;

    vscData = buildVscScene(vscName, rxText);
    var vscObj = vscData[1];
    vscObj.name = vscName;
    registerVscData(SceneId, vscData);
}

function cycleScene(msPerFrame) {

  if(turn === undefined) return;  // Geht hier nicht?
  
  if(turn instanceof THREE.Mesh)  {
    if(turn.rotation.y<=g(    45)) vLift =  +0.0003;
    if(turn.rotation.y>=g(180+45)) vLift =  -0.0009;
    turn.rotation.y += vLift*msPerFrame;
  }

}

function terminateScene() {
    if (SceneObj !== undefined)
        delete SceneObj;
    if (vscData !== undefined)
        delete vscData;
}

function testScenePosition(xp, yp, zp) {
    return true;
}

function getSceneGroundLevel(xp, yp, zp) {
    return 0;
}
