//-----------------------------------------------------------------------------
// w_haus.js - W3D-Szene mit einem Uebungshaus.

var SceneVersion = "w_haus.js V16.02.06";
var SceneName = "Treppenhaus";

var SceneObj;
var SceneId;

var kMode = 0;
var lastMs = 0;

//-----------------------------------------------------------------------------

function buildScene(sid) {

    SceneId = sid;
    SceneObj = new THREE.Mesh();        // sammelt alle statischen Elemente der Kachel

    var cross = setAchsenkreuz(2);      // zur Orientierung
    cross.position.set(-20, 0.15, 10);
    SceneObj.add(cross);

    return SceneObj;
}

//-----------------------------------------------------------------------------

function recvSceneData(rxText) {
}

//-----------------------------------------------------------------------------

function cycleScene(msPerFrame) {

    // Fahrstuhlsteuerung
    var obj = scene.getObjectByName("Kabine_0");
    if (obj !== undefined) {
        var dh = 0.0004 * msPerFrame;
        lastMs += msPerFrame;
        if (kMode == 0) {               // unten warten
            if (lastMs > 5000)
                kMode = 1;
        } else if (kMode == 1) {        // aufwaerts
            if (obj.position.y < 6.0)
                obj.position.y += dh;
            else {
                obj.position.y = 6.0;
                kMode = 2;
                lastMs = 0;
            }
        } else if (kMode == 2) {        // oben warten
            if (lastMs > 5000)
                kMode = 3;
        } else if (kMode == 3) {        // abwaerts
            if (obj.position.y > 0.0)
                obj.position.y -= dh;
            else {
                obj.position.y = 0.0;
                kMode = 0;
                lastMs = 0;
            }
        }
    }
}

//-----------------------------------------------------------------------------

function terminateScene() {
    if (SceneObj !== undefined)
        delete SceneObj;
}

//-----------------------------------------------------------------------------

function testScenePosition(xp, yp, zp) {
    return true;
}

//-----------------------------------------------------------------------------

function getSceneGroundLevel(xp, yp, zp) {
    return 0;
}
