//-----------------------------------------------------------------------------

var SceneVersion = "w_templ.js V16.01.13";
var SceneName    = "Tile-Template";

var SceneObj;                       // Sammelobjekt fuer diese Teilszene
var SceneId;

var vscName = "w_templ.vsc";
var vscData = undefined;

function buildScene(sid) {
    SceneId = sid;
    SceneObj = new THREE.Mesh();    // sammelt alle statischen Elemente der Kachel
    SceneObj.add(buildGround('../tex/grasslight.jpg'));
    vscRequest(vscName, sid);       // Szene aus Skript nachladen
    return SceneObj;
}

function recvSceneData(rxText) {
    if (vscData !== undefined)
       return;
    vscData = buildVscScene(vscName, rxText);
    var vscObj = vscData[1];
    vscObj.name = vscName;
    registerVscData(SceneId, vscData);
}

function cycleScene(msPerFrame) {
}

function terminateScene() {
    if (SceneObj !== undefined)
        delete SceneObj;
    if (vscData !== undefined)
        delete vscData;
}

function testScenePosition(xp, yp, zp) {
    return true;
}

function getSceneGroundLevel(xp, yp, zp) {
    return 0;
}
